Bug 101059 - xmlto crashes with "Undefined control sequence" error
xmlto crashes with "Undefined control sequence" error
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: passivetex (Show other bugs)
9
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Tim Waugh
http://ksvanhorn.com/Personal/charent...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-28 16:48 EDT by Need Real Name
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:46:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-07-28 16:48:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
The document referenced by URL above is a DocBook article listing every
character entity in the DocBook DTD.  (An extra newline character has been added
to each <listitem> element to work around the problem reported in bug report
101055.) When running xmlto on this document, xmlto crashes in what appears to
be TeX processing, with an error message about an undefined control sequence.

Version-Release number of selected component (if applicable):
xmlto-0.0.12

How reproducible:
Always

Steps to Reproduce:
1. Download charent.xml from the indicated URL.
2. Execute the command "xmlto ps charent.xml".

    

Actual Results:  xmlto crashed with a large amount of error output.

Expected Results:  Should have produced charent.ps.

Additional info:

Here is an abridged version of the error output; "[***ETC***]" indicates text
that I have deleted:

------ begin error output ------
Making portrait pages on USletter paper (8.5inx11in)
This is TeX, Version 3.14159 (Web2C 7.3.1)
(tmp.fo
LaTeX2e <2001/06/01>
Babel <v3.7h> and hyphenation patterns for american, french, german, ngerman, i
talian, nohyphenation, loaded.
xmltex version: 2000/09/07 v1.8y (Exp):
(/usr/share/texmf/tex/xmltex/xmltex.cfg) 
No File: tmp.cfg 
 xmlns:fo = 5 
 <5:root (/usr/share/texmf/tex/xmltex/passivetex/fotex.xmt

URI: 6 = http://www.tug.org/fotex 
 xmlns:fotex = 6 
 xmlns:fo = 5 
 </0:> 
 Grabbed content 
 End Grabbed content 
 </0:> 
[***ETC***]
Document Class: article 2001/04/21 v1.4e Standard LaTeX document class
(/usr/share/texmf/tex/latex/base/size10.clo))
[***ETC***]
(/usr/share/texmf/tex/xmltex/passivetex/unicode.sty
WARNING: tipa package not loaded. some symbols will fail
(/usr/share/texmf/tex/latex/base/fontenc.sty
[***ETC***]
(/usr/share/texmf/tex/latex/misc/stmaryrd.sty)
WARNING: Elsevier font setup not found
(/usr/share/texmf/tex/xmltex/passivetex/dummyels.sty)
WARNING: mmasym package not loaded. some symbols will fail
(/usr/share/texmf/tex/latex/amsfonts/eucal.sty))
[***ETC***]
The Unicode package knows about symbol E365, but the font package is not loaded
[***ETC***]
The Unicode package knows about symbol arrowwaveright, but the font package is 
not loaded
[***ETC***]
The Unicode package knows about symbol perspcorrespond, but the font package is
 not loaded
[***ETC***]
The Unicode package knows about symbol precedesnotsimilar, but the font package
 is not loaded
[***ETC***]
The Unicode package knows about symbol precedesnotsimilar, but the font package
 is not loaded
[***ETC***]
The Unicode package knows about symbol allequal, but the font package is not lo
aded
[***ETC***]
The Unicode package knows about symbol greaterequivlnt, but the font package is
 not loaded
[***ETC***]
The Unicode package knows about symbol verymuchgreater, but the font package is
 not loaded
[***ETC***]
The Unicode package knows about symbol greaterequivlnt, but the font package is
 not loaded
[***ETC***]
The Unicode package knows about symbol lessequivlnt, but the font package is no
t loaded
[***ETC***]
The Unicode package knows about symbol verymuchless, but the font package is no
t loaded
[***ETC***]
The Unicode package knows about symbol lessequivlnt, but the font package is no
t loaded
[***ETC***]
The Unicode package knows about symbol truestate, but the font package is not l
oaded
[***ETC***]
The Unicode package knows about symbol forcesextra, but the font package is not
 loaded
[***ETC***]
The Unicode package knows about symbol texttheta, but the font package is not l
oaded
[***ETC***]
! Undefined control sequence.
<argument> \Digamma 
                    
l.490 ...t-indent="body-start()"><fo:block>&#x3DC;
                                                  
? 
! Emergency stop.
<argument> \Digamma 
                    
l.490 ...t-indent="body-start()"><fo:block>&#x3DC;
                                                  
Output written on tmp.dvi (19 pages, 80112 bytes).
Transcript written on tmp.log.

------ end   error output ------

After some investigation (reading through
/usr/share/texmf/tex/xmltex/passivetex/unicode.sty and trying to find the lines
producing the WARNING messages), I tried to fix the problem by going to
http://www.tug.org/tex-archive/fonts/psfonts/Mathematica3.0
and downloading and installing mma3fnt.tar.gz, which includes mmasym.sty (which
defines \Digamma).  This made no difference whatsoever.

BTW, I *do* have the docbook tools packages installed (docbook-style-dsssl-1.76-8
docbook-style-xsl-1.58.1-2
docbook-dtds-1.0-17
docbook-utils-0.6.12-5
docbook-utils-pdf-0.6.12-5).
Comment 1 Bill Nottingham 2006-08-05 00:00:51 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 3 Bill Nottingham 2007-01-02 13:46:36 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.